Deactivates a role in the caller's organization.
curl --request DELETE \
--url https://api.sandbox.tesouro.com/identity/v1/roles/{roleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tesouro.com/identity/v1/roles/{roleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tesouro.com/identity/v1/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Identity
Deactivates a role in the caller's organization.
Token types: APP, USER | Required scopes: role:write:org
DELETE
/
identity
/
v1
/
roles
/
{roleId}
Deactivates a role in the caller's organization.
Authorizations
APPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Headers
ID of the organization to scope this operation to. When omitted, the role is disabled in the caller's own organization. Must be a valid non-empty UUID. Present but empty or malformed values return 400.
Path Parameters
The ID of the role to deactivate.
Response
Role deactivated successfully.
Was this page helpful?
⌘I